apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ thanos_name }}-config
  namespace: {{ namespace }}
data:
  index.yaml: |
    config:
{% if thanos_index_backend != 'memcached' %}
      max_item_size: {{ thanos_index_max_item_size }}
      max_size: {{ thanos_index_max_size }}
    type: IN-MEMORY
{% else %}
      addresses:
      - dns+{{ thanos_name }}-idxcache.{{ namespace }}.svc.{{ cluster_domain }}:11211
      timeout: 30s
      max_idle_connections: 0
      max_async_concurrency: 0
      max_async_buffer_size: 0
      max_get_multi_concurrency: 0
      max_item_size: {{ thanos_index_max_item_size }}
      max_get_multi_batch_size: 0
      dns_provider_update_interval: 20s
    type: MEMCACHED
{% endif %}
{% if do_thanos_bucketcache %}
  buckets.yaml: |
    config:
      addresses:
      - dns+{{ thanos_name }}-bktcache.{{ namespace }}.svc.{{ cluster_domain }}:11211
      dns_provider_update_interval: 20s
    type: MEMCACHED
  chunk_subrange_size: 16000
  max_chunks_get_range_requests: 3
  chunk_object_attrs_ttl: 24h
  chunk_subrange_ttl: 24h
  blocks_iter_ttl: 5m
  metafile_exists_ttl: 2h
  metafile_doesnt_exist_ttl: 15m
  metafile_content_ttl: 24h
  metafile_max_size: 1MiB
{% else %}
  buckets.yaml: ""
{% endif %}
{% if do_thanos_queryfrontend %}
  frontend.yaml: |
    config:
{% if thanos_queryfrontend_backend != 'memcached' %}
      max_size: ""
      max_size_items: 0
      validity: 0s
    type: IN-MEMORY
{% else %}
      addresses:
      - dns+{{ thanos_name }}-querycache.{{ namespace }}.svc.{{ cluster_domain }}:11211
      dns_provider_update_interval: 20s
      max_idle_connections: 0
      max_async_concurrency: 0
      max_async_buffer_size: 0
      max_get_multi_concurrency: 0
      max_item_size: {{ thanos_queryfrontend_max_item_size }}
      max_get_multi_batch_size: 0
      dns_provider_update_interval: 0s
      expiration: 0s
    type: MEMCACHED
{% endif %}
{% else %}
  frontend.yaml: ""
{% endif %}
